use crossterm::event::KeyCode;
use super::{ RenderTarget, RenderLayoutKind, InputMode};

#[derive(Clone, Debug)]
pub enum RenderCommand {
  StringToPaneId {
    str: String,
    pane: RenderTarget,
  },
  StringToPaneFocused {
    str: String,
  },
  KeyInput(KeyCode),
  ListMove {
    pane: RenderTarget,
    index: usize,
  },
  ChangeLayout(RenderLayoutKind),
  ClearPane,

  /// Mouse Events
  MouseClickLeft(u16, u16),
  MouseScrollUp,
  MouseScrollDown,

  SetMode(InputMode),
  Exit,
}

